import Foundation
import SwiftUI

struct CVStyle {

    struct Section {

        let titleSpacing: CGFloat

        let borderSpacing: CGFloat

        let borderWidth: CGFloat

        let bottomSpacing: CGFloat

        let paragraphSpacing: CGFloat

        init(titleSpacing: CGFloat = 10, borderSpacing: CGFloat = 5, borderWidth: CGFloat = 3, bottomSpacing: CGFloat = 10, paragraphSpacing: CGFloat = 5) {
            self.titleSpacing = titleSpacing
            self.borderSpacing = borderSpacing
            self.borderWidth = borderWidth
            self.bottomSpacing = bottomSpacing
            self.paragraphSpacing = paragraphSpacing
        }
    }

    let pageWidth: CGFloat

    let accentColor: Color

    let header: HeaderStyle

    let columnSpacing: CGFloat

    let section: Section

    let skillStyle: SkillStyle

    var pageHeight: CGFloat {
        pageWidth * sqrt(2)
    }
}
